OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.TransformFeedback3

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBTransformFeedback3 :: MonadIO m => m Bool
- gl_ARB_transform_feedback3 :: Bool
- gl_MAX_TRANSFORM_FEEDBACK_BUFFERS :: GLenum
- gl_MAX_VERTEX_STREAMS :: GLenum
- glBeginQueryIndexed :: MonadIO m => GLenum -> GLuint -> GLuint -> m ()
- glDrawTransformFeedbackStream :: MonadIO m => GLenum -> GLuint -> GLuint -> m ()
- glEndQueryIndexed :: MonadIO m => GLenum -> GLuint -> m ()
- glGetQueryIndexediv :: MonadIO m => GLenum -> GLuint -> GLenum -> Ptr GLint -> m ()

# Extension Support

glGetARBTransformFeedback3 :: MonadIO m => m Bool

Is the ARB_transform_feedback3 extension supported?

gl_ARB_transform_feedback3 :: Bool

Is the ARB_transform_feedback3 extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBTransformFeedback3` in those cases instead.

# Enums

gl_MAX_TRANSFORM_FEEDBACK_BUFFERS :: GLenum

gl_MAX_VERTEX_STREAMS :: GLenum

# Functions

glBeginQueryIndexed

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `index`.
-> GLuint | `id`.
-> m () |

Manual page for OpenGL 4.x.

glDrawTransformFeedbackStream

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLuint | `id`.
-> GLuint | `stream`.
-> m () |

Manual page for OpenGL 4.x.

glEndQueryIndexed

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `index`.
-> m () |

Manual page for OpenGL 4.x.

glGetQueryIndexediv

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `index`.
-> GLenum | `pname`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.